Skip to main content
POST
/
screening
/
trlink
/
transaction
/
{txId}
/
destination
/
travel_rule_message_id
TypeScript
const response: Promise<FireblocksResponse<TRLinkSetDestinationTravelRuleMessageIdResponse>> = fireblocks.tRLink.setTRLinkDestinationTravelRuleMessageId(tRLinkApiSetTRLinkDestinationTravelRuleMessageIdRequest);
{
  "success": true,
  "updatedDestinations": 1,
  "failedDestinations": 0,
  "errors": []
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

txId
string<uuid>
required

Fireblocks transaction unique identifier

Body

application/json

Request to set TRM ID for specific transaction destination

amount
string
required

Destination amount for matching

Example:

"1000"

destination
object
required

Transfer peer path for destination matching

travelRuleMessageId
string | null
required

Travel Rule Message ID to associate with destination (null to unset)

Example:

"trm_1234567890abcdef"

Response

Destination travel rule message ID set successfully

success
boolean
required

Whether the operation was successful

Example:

true

updatedDestinations
number
required

Number of destinations updated

Example:

1

failedDestinations
number
required

Number of destinations that failed to update

Example:

0

errors
string[] | null

List of errors (if any)

Example:
[]